<template>
    <div>
        <p v-bind:class="color">
            <strong>{{msg}}</strong>
        </p>
        <form class="container" v-on:submit.prevent="login()">

            <div class="form-group">

                <div class="form-group">
                    <label>
                        <strong>Login</strong>
                    </label>
                    <input class="form-control" type="text" name="email" v-model="user.username" required>
                </div>
                <div class="form-group">
                    <label>
                        <strong>Mot de Passe</strong>
                    </label>
                    <input class="form-control" type="password" name="password" v-model="user.password" required>
                </div>

                <div class="form-group">
                    <button class="btn btn-primary" type="submit" :disabled="!interact"> Connexion </button>

                </div>
            </div>
        </form>
    </div>
</template>

<script>
import {
    login
} from '@/api/auth.service.js';
export default {
    data() {
        return {
            user: {

            },
            interact: true,
            msg: "",
            color: "black"
        }
    },
    methods: {
        login: function() {
            login(this.user).then((user) => {

                this.$store.dispatch('setCurrentUser', user);
                if (user.role === "administrateur") {
                    this.$router.push({
                        path: "/admin/users"
                    })
                }
                else if (user.role === "responsable RH") {
                    this.$router.push({
                        path: "/rh/users"
                    })
                }
                else if (user.role === "commercial") {
                    this.$router.push({
                        path: "/commercial/clients"
                    })
                } else if (user.role === "chef de projet") {
                    this.$router.push({
                        path: "/chefProjet/projects"
                    })
                }
                else {
                    this.$router.push({
                        path: "/developer/taches"
                    })
                }


            }).catch((error) => {
                if (error.status === 401) {
                    this.msg = "Mot de passe invalide";
                    this.color = "red";
                } else if (error.status === 400) {
                    this.msg = "Cet utilisateur n'existe pas";
                    this.color = "red";
                } else {
                    console.log(error)
                    this.msg = "Une erreur s'est produite, Veuillez Résaayez";
                    this.color = "red";
                }
            })
        }
    }
}
</script>

<style scoped>
.black {
    color: black;
}

.red {
    color: red;
}
</style>
